Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageHybridMedian2D Class Reference

`#include <vtkImageHybridMedian2D.h>`

Inheritance diagram for vtkImageHybridMedian2D:

[legend]
Collaboration diagram for vtkImageHybridMedian2D:

[legend]
List of all members.

## Detailed Description

Median filter that preserves lines and.

Date:
  2002/01/22 15:32:43

Revision:
  1.18

corners.

vtkImageHybridMedian2D is a median filter that preserves thin lines and corners. It operates on a 5x5 pixel neighborhood. It computes two values initially: the median of the + neighbors and the median of the x neighbors. It the computes the median of these two values plus the center pixel. This result of this second median is the output pixel value.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (88%)
  - Martin, Ken (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageHybridMedian2D.cxx)`
  - .`h` (`/Imaging/vtkImageHybridMedian2D.h)`

Tests:
  vtkImageHybridMedian2D (Tests)

Definition at line 50 of file vtkImageHybridMedian2D.h.

## Public Types
typedef vtkImageSpatialFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkImageHybridMedian2D * | New ()
int | IsTypeOf (const char *type)
vtkImageHybridMedian2D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageHybridMedian2D ()
| ~vtkImageHybridMedian2D ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int outExt[6], int id)
float | ComputeMedian (float *array, int size)

## Member Typedef Documentation

typedef vtkImageSpatialFilter vtkImageHybridMedian2D::Superclass

| Reimplemented from vtkImageSpatialFilter. Definition at line 54 of file vtkImageHybridMedian2D.h.

## Constructor & Destructor Documentation

vtkImageHybridMedian2D::vtkImageHybridMedian2D | ( |  | ) | `[protected]`

vtkImageHybridMedian2D::~vtkImageHybridMedian2D | ( |  | ) | `[inline, protected]`

| Definition at line 58 of file vtkImageHybridMedian2D.h.

## Member Function Documentation

vtkImageHybridMedian2D* vtkImageHybridMedian2D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageSpatialFilter.

virtual const char* vtkImageHybridMedian2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSpatialFilter.

int vtkImageHybridMedian2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

virtual int vtkImageHybridMedian2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

vtkImageHybridMedian2D* vtkImageHybridMedian2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSpatialFilter.

void vtkImageHybridMedian2D::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | outExt[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

float vtkImageHybridMedian2D::ComputeMedian | ( | float * | array,
|  | int | size
| ) | `[protected]`

The documentation for this class was generated from the following file:

- Imaging/vtkImageHybridMedian2D.h